.TH XRIT2RAW 1
.SH NAME
xrit2raw \- converts \fBXRIT\fP files (LRIT/HRIT = Low or High Rate Information Transmission Format) into \fBRAW\fP files (extension .raw)
.SH DOWNLOAD
http://www.icare.univ-lille1.fr/projets/pascal/download/xrit-0.2.0.tar.gz
.SH SOURCE FILES
http://www.icare.univ-lille1.fr/projets/pascal/download/xrit
.SH SYNOPSIS
.B xrit2raw [OPTIONS] \fIxrit_file\fP [\fIoutput_raw_file\fP]
.SH DESCRIPTION
.PP
converts an \fBXRIT\fP, \fBSATMOS\fP-compatible file (LRIT/HRIT files) into a \fBraw\fP file.
.PP
\fBSATMOS XRIT\fP files have the following name convention : H-000-MSG1__-MSG1________-XXXXXX___-CYCLE____-YYYYMMDDhhmm
.PP
(XXXXXX is the name of an \fBMSG\fP channel, such as IR016, VIS006, etc., while YYYYMMDDhhmm is the time of
acquisition)
.PP
The \fBXRIT\fP format is one of the numerous formats in which \fBMSG\fP (\fBMETEOSAT SECOND GENERATION\fP) data
are provided. In order to let the user read easily the content of such files without bothering with a
new format, \fBxrit2raw\fP converts it into a simple raw file (a simple binary array of values with no header).
.SH OPTIONS
.TP
.B -P \fIprologue_file\fP
saves the XRIT prologue into the \fBraw\fP file \fIprologue_file\fP

.TP
.B -n \fIsegment\fP
extracts only one segment of 464 rows (between 1 and 8)

.TP
.B -r
reverses the image

.TP
.B -s
stores \fBMSG\fP counts (short integer) into the \fBraw\fP file (default behavior)

.TP
.B -f
stores \fBMSG\fP calibrated data as \fBloat\fP into the \fBraw\fP file

.TP
.B -d
stores \fBMSG\fP calibrated data as \fBdouble\fP into the \fBraw\fP file

.SH COPYRIGHT
\fBxrit2raw\fP is Copyright (c) Icare 2006
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

.SH BUGS
.PP
None we are aware of.
.PP
Please report any bug you could find to contact@icare.univ-lille1.fr
.SH AUTHORS
Fabrice Ducos

.SH SEE ALSO
read_xrit ( http://www.icare.univ-lille1.fr/projets/pascal/download/xrit/doc/read_xrit.html )
